Skip to main content

Source Code Management

GitHub, GitLab, Bitbucket repos

  • Tools: 12
  • Connectors: 4

Connectors in this domain

Tool reference

scm.artifacts.list - List Artifacts

List build artifacts

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
build_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.artifacts.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"build_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.artifacts.list",
"arguments": {
"build_id": "string"
}
}
}

scm.branches.list - List Branches

List branches in a repository

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
repostringNo-
ownerstringNo-

Output schema

FieldTypeRequiredDescription
branchesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.branches.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","owner":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.branches.list",
"arguments": {
"repo": "string",
"owner": "string"
}
}
}

scm.code.search - Search Code

Search code in repositories

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
resultsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.code.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.code.search",
"arguments": {
"query": "string"
}
}
}

scm.commits.list - List Commits

List commits in a repository

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
repostringNo-
ownerstringNo-

Output schema

FieldTypeRequiredDescription
commitsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.commits.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","owner":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.commits.list",
"arguments": {
"repo": "string",
"owner": "string"
}
}
}

scm.issues.create - Create Issue

Create a new issue

  • Risk: write - Creates or modifies data
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
bodystringNo-
repostringNo-
ownerstringNo-
titlestringNo-

Output schema

FieldTypeRequiredDescription
issueobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.issues.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"body":"string","repo":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.issues.create",
"arguments": {
"body": "string",
"repo": "string"
}
}
}

scm.issues.search - Search Issues

Search issues in repositories

  • Risk: read - Read-only - safe to call freely
  • Supported by: Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
repostringNo-
querystringNo-

Output schema

FieldTypeRequiredDescription
issuesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.issues.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.issues.search",
"arguments": {
"repo": "string",
"query": "string"
}
}
}

scm.pipelines.list - List Pipelines

List CI/CD pipelines

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
project_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.pipelines.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"project_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.pipelines.list",
"arguments": {
"project_id": "string"
}
}
}

scm.pipelines.run - Run Pipeline

Trigger a pipeline run

  • Risk: write - Creates or modifies data
  • Supported by: GitHub, GitLab, Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
branchstringNo-
pipeline_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.pipelines.run/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"branch":"string","pipeline_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.pipelines.run",
"arguments": {
"branch": "string",
"pipeline_id": "string"
}
}
}

scm.prs.get - Get Pull Request

Get pull request details

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
repostringNo-
ownerstringNo-
pr_numberintegerNo-

Output schema

FieldTypeRequiredDescription
pull_requestobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.prs.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","owner":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.prs.get",
"arguments": {
"repo": "string",
"owner": "string"
}
}
}

scm.prs.list - List Pull Requests

List pull requests

  • Risk: read - Read-only - safe to call freely
  • Supported by: Azure DevOps, Bitbucket

Input schema

FieldTypeRequiredDescription
repostringNo-
ownerstringNo-

Output schema

FieldTypeRequiredDescription
pull_requestsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.prs.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","owner":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.prs.list",
"arguments": {
"repo": "string",
"owner": "string"
}
}
}

scm.repos.get - Get Repository

Get repository details

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
repostringNo-
ownerstringNo-

Output schema

FieldTypeRequiredDescription
repositoryobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.repos.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"repo":"string","owner":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.repos.get",
"arguments": {
"repo": "string",
"owner": "string"
}
}
}

scm.repos.search - Search Repositories

Search code repositories

  • Risk: read - Read-only - safe to call freely
  • Supported by: GitHub, GitLab, Bitbucket, Azure DevOps

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

FieldTypeRequiredDescription
repositoriesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/scm.repos.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "scm.repos.search",
"arguments": {
"query": "string"
}
}
}